# Performance Schema setup\_timers Table

## Description

The `setup_timers` table shows the currently selected event timers. Deprecated since 10.5, removed in 12.0.

It contains the following columns:

| Column      | Description                                             |
| ----------- | ------------------------------------------------------- |
| NAME        | Type of instrument the timer is used for.               |
| TIMER\_NAME | Timer applying to the instrument type. Can be modified. |

The `TIMER_NAME` value can be changed to choose a different timer, and can be any non-NULL value in the [performance\_timers.TIMER\_NAME](/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-performance_timers-table.md) column.

If you modify the table, monitoring is immediately affected, and currently monitored events would use a combination of old and new timers, which is probably undesirable. It is best to reset the Performance Schema statistics if you make changes to this table.

## Example

```sql
SELECT * FROM setup_timers;
+-----------+-------------+
| NAME      | TIMER_NAME  |
+-----------+-------------+
| idle      | MICROSECOND |
| wait      | CYCLE       |
| stage     | NANOSECOND  |
| statement | NANOSECOND  |
+-----------+-------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-setup_timers-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
